package dtu.library.ui;

import java.io.IOException;
import java.io.PrintWriter;

public class AdminScreen extends Screen {

	@Override
	public void printMenu(PrintWriter out) throws IOException {
		out.println("0) Logoff");
	}

	@Override
	public boolean processInput(String selection, PrintWriter out) {
		if ("0".equals(selection)) {
			libraryUI.getLibraryApp().adminLogoff();
			out.print("Logged off.");
			libraryUI.setScreen(new UserScreen());
		} else {
			out.print("Wrong selection; please repeat.");
		}
		return false;
	}
}
