package dtu.library.ui;

import java.io.IOException;
import java.io.PrintWriter;

abstract public class Screen {

	LibraryUI libraryUI;

	abstract public void printMenu(PrintWriter out) throws IOException;

	void setLibraryUI(LibraryUI libraryUI) {
		this.libraryUI = libraryUI;
	}

	abstract public boolean processInput(String input, PrintWriter out);
}
